%define	module	Crypt-OpenSSL-RSA
%define name	perl-%{module}
%define version	0.25
%define release %mkrel 3

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Requires:	openssl
Buildrequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-Random
Buildrequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.25-3mdv2009.0
+ Revision: 223583
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.25-2mdv2008.1
+ Revision: 152038
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 47628
- update to new version 0.25


* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
+ Revision: 86940
- new version
- Import perl-Crypt-OpenSSL-RSA

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-2mdv2007.0
- Rebuild

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk
- New release 0.23
- spec cleanup
- correct optimisations

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-3mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-2mdk
- Fix buildrequires mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-1mdk
- 0.22

* Tue Feb 08 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.21-2mdk
- rebuild for new perl

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.21-1mdk
- 0.21

